[OLPC-AU] [Dextrose] Support for Firefox 3.5 is ending

Peter Robinson pbrobinson at gmail.com
Sun Jun 5 04:32:59 EDT 2011

On Sun, Jun 5, 2011 at 8:02 AM, Bernie Innocenti <bernie at sugarlabs.org> wrote:
> (hey, is the clock of your computer set correctly? your message appears
> to be one day old!)
> On Sat, 2011-06-04 at 20:37 -0400, David Farning wrote:
>> > There was some discussion at EduJam. Browse is currently unmaintained, but
>> > Simon Schampijer and Gonzalo Odiard expressed interest in working on it. There
>> > was the question of missing support for the Python bindings of GtkMozEmbed,
>> > but the problem appears to be solved now.
>> What is the solution?
> Ubuntu Natty ships a new version of python-gtkmozembed, which is based
> on xulrunner 2.0. Fedora 15 also has xulrunner 2.0, with Python
> bindings.
> Fedora 14 is still shipping xulrunner 1.9.2, which is roughly equivalent
> to the version used by Firefox 3.6. Backporting things from Fedora 15 is
> going to be a royal pain in the ass, since they have switched everything
> to Gnome 3.

Its not "roughly equivalent" it is the version being used by FF 3.6.

In terms of Firefox 4 in Fedora 14 your correct that it will be a
pain, but not really due to gnome 3. FF4 still uses gtk2. The problem
is all the gnome deps that use xulrunner that would need porting as
well. I personally believe that it would be less work to move Fedora


More information about the Devel mailing list